Package javax.help.plaf.basic

# Class BasicGlossaryNavigatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.help.plaf.HelpNavigatorUI
javax.help.plaf.basic.BasicGlossaryNavigatorUI

All Implemented Interfaces:
  `ActionListener`, `PropertyChangeListener`, `Serializable`, `EventListener`, `HelpModelListener`, `TreeSelectionListener`

public class BasicGlossaryNavigatorUI extends HelpNavigatorUI implements HelpModelListener, TreeSelectionListener, PropertyChangeListener, ActionListener, Serializable
The default UI for JHelpNavigator of type Glossary.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DefaultMutableTreeNode`
`currentFindNode`
`protected JHelpGlossaryNavigator`
`glossary`
`protected String`
`oldText`
`protected RuleBasedCollator`
`rbc`
`protected JTextField`
`searchField`
`protected JScrollPane`
`sp`
`protected DefaultMutableTreeNode`
`topNode`
`protected JTree`
`tree`
`protected JHelpContentViewer`
`viewer`

## Constructor Summary

Constructors
Constructor
Description
`BasicGlossaryNavigatorUI(JHelpGlossaryNavigator b)`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent evt)`
Handles Action from the JTextField component for searching.
`protected void`
`addSubHelpSets(HelpSet hs)`
Adds subhelpsets
`static ComponentUI`
`createUI(JComponent x)`
Creates UI
`void`
`doMerge(NavigatorView view)`
Merges in the navigational data from another IndexView.
`protected JHelpContentViewer`
`getContentViewer()`
`protected JHelpNavigator`
`getHelpNavigator()`
`Dimension`
`getMaximumSize(JComponent c)`
`Dimension`
`getMinimumSize(JComponent c)`
`Dimension`
`getPreferredSize(JComponent c)`
`void`
`idChanged(HelpModelEvent e)`
Tells the listener that the current ID in the HelpModel has changed.
`void`
`installUI(JComponent c)`
`void`
`merge(NavigatorView view)`
Merges in the navigational data from another TOCView.
`void`
`propertyChange(PropertyChangeEvent event)`
`void`
`remove(NavigatorView view)`
Removes the navigational data from another GlossaryView.
`protected void`
`setCellRenderer(NavigatorView view, JTree tree)`
Sets the desired cell renderer on this tree.
`void`
`uninstallUI(JComponent c)`
Uninstalls UI
`void`
`valueChanged(TreeSelectionEvent e)`

### Methods inherited from class javax.help.plaf.HelpNavigatorUI

`getAddAction, getIcon, getImageIcon, setIcon`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### glossary

protected JHelpGlossaryNavigator glossary

### sp

protected JScrollPane sp

### topNode

protected DefaultMutableTreeNode topNode

### tree

protected JTree tree

### searchField

protected JTextField searchField

### rbc

protected RuleBasedCollator rbc

### oldText

protected String oldText

### currentFindNode

protected DefaultMutableTreeNode currentFindNode

### viewer

protected JHelpContentViewer viewer

## Constructor Details

### BasicGlossaryNavigatorUI

public BasicGlossaryNavigatorUI(JHelpGlossaryNavigator b)

## Method Details

### createUI

public static ComponentUI createUI(JComponent x)
Creates UI

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### setCellRenderer

protected void setCellRenderer(NavigatorView view, JTree tree)
Sets the desired cell renderer on this tree. This is exposed for redefinition by subclases.

### uninstallUI

public void uninstallUI(JComponent c)
Uninstalls UI

Overrides:
  `uninstallUI` in class `ComponentUI`

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `ComponentUI`

### getMinimumSize

public Dimension getMinimumSize(JComponent c)

Overrides:
  `getMinimumSize` in class `ComponentUI`

### getMaximumSize

public Dimension getMaximumSize(JComponent c)

Overrides:
  `getMaximumSize` in class `ComponentUI`

### addSubHelpSets

protected void addSubHelpSets(HelpSet hs)
Adds subhelpsets

Parameters:
  `hs` - The HelpSet which subhelpsets will be added

### doMerge

public void doMerge(NavigatorView view)
Merges in the navigational data from another IndexView.

### merge

public void merge(NavigatorView view)
Merges in the navigational data from another TOCView.

Overrides:
  `merge` in class `HelpNavigatorUI`
Parameters:
  `view` - A GlossaryView. Note the actual argument is a NavigatorView type so it replaces the correct NavigatorUI method.

### remove

public void remove(NavigatorView view)
Removes the navigational data from another GlossaryView.

Overrides:
  `remove` in class `HelpNavigatorUI`
Parameters:
  `view` - An GlossaryView. Note the actual argument is a NavigatorView type so it replaces the correct NavigatorUI method.

### idChanged

public void idChanged(HelpModelEvent e)
Description copied from interface: `HelpModelListener`
Tells the listener that the current ID in the HelpModel has changed. All highlights from the previous location change at this point.

Specified by:
  `idChanged` in interface `HelpModelListener`
Parameters:
  `e` - The event

### getContentViewer

protected JHelpContentViewer getContentViewer()

### getHelpNavigator

protected JHelpNavigator getHelpNavigator()

### valueChanged

public void valueChanged(TreeSelectionEvent e)

Specified by:
  `valueChanged` in interface `TreeSelectionListener`

### propertyChange

public void propertyChange(PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`

### actionPerformed

public void actionPerformed(ActionEvent evt)
Handles Action from the JTextField component for searching.

Specified by:
  `actionPerformed` in interface `ActionListener`